uniform float4x4 mWorldViewProj;
uniform float time;

struct VS_OUTPUT
{
  float4 viewPos  : POSITION;
  float2 texcoord : TEXCOORD0;
};

VS_OUTPUT main_1(in float4 worldPos: POSITION, in float4 texcoord: TEXCOORD0)
{
	VS_OUTPUT output;

	float4 vertex;
	vertex =  float4(	worldPos.x,worldPos.y+ (0.06 * cos(time*3 ) ),worldPos.z+ (0.0001 * cos(time*2.5 ) ),worldPos.w);
	output.viewPos = mul(mWorldViewProj, vertex);
	output.texcoord = texcoord;
	return output;
}

VS_OUTPUT main_2(in float4 worldPos: POSITION, in float4 texcoord: TEXCOORD0)
{
	VS_OUTPUT output;

	float4 vertex;
//	vertex =  float4(	worldPos.x,worldPos.y+ (0.06 * cos(time*1.5 ) ),worldPos.z+ (0.075 * cos(time*1.5 ) ),worldPos.w);
	vertex =  float4(	worldPos.x,worldPos.y+ (0.03 * cos(time*3.5 ) ),worldPos.z,worldPos.w);
	output.viewPos = mul(mWorldViewProj, vertex);
	output.texcoord = texcoord;
	return output;
}
VS_OUTPUT main_3(in float4 worldPos: POSITION, in float4 texcoord: TEXCOORD0)
{
	VS_OUTPUT output;

	float4 vertex;
	vertex =  float4(	worldPos.x,worldPos.y+ (0.05 * cos(time*5 ) ),worldPos.z,worldPos.w);
	output.viewPos = mul(mWorldViewProj, vertex);
	output.texcoord = texcoord;
	return output;
}